<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page session="false" language="java"
	contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>sample 1</title>
</head>
<body>
<%@include file="inc/head.inc"%>
<f:view>
	<f:loadBundle
		basename="org.apache.myfaces.examples.resource.example_messages"
		var="example_messages" />
	<h:panelGroup id="body">
		<t:saveState id="save1" value="#{calcForm.number1}" />
		<t:saveState id="save2" value="#{calcForm.number2}" />
		<t:saveState id="save3" value="#{ucaseForm.text}" />
		<t:messages id="messageList" styleClass="error"
			summaryFormat="{0} in {1}" />
		<h:form id="form1">
			<h:panelGrid columns="1" border="1" rules="all">
				<f:facet name="header">
					<h:outputText value="form1" />
				</f:facet>
				<h:panelGroup>
					<h:outputLabel for="form1:number1" value="number 1 (1-10)" />
					<h:inputText id="number1" value="#{calcForm.number1}"
						maxlength="10" size="25" required="true">
						<f:validateLongRange minimum="1" maximum="10" />
					</h:inputText>
					<h:message id="number1Error" for="form1:number1" styleClass="error" />
				</h:panelGroup>
				<h:panelGroup>
					<h:outputLabel for="form1:number2" value="number 2 (20-50)" />
					<h:inputText id="number2" value="#{calcForm.number2}"
						maxlength="10" size="25" required="true">
						<f:validateLongRange minimum="20" maximum="50" />
					</h:inputText>
					<h:message id="number2Error" for="form1:number2" styleClass="error" />
				</h:panelGroup>
				<h:panelGroup>
					<h:outputLabel style="bold" for="form1:result" value="result: " />
					<h:outputText id="result" value="#{calcForm.result}" />
				</h:panelGroup>
				<h:panelGroup>
					<h:commandButton id="addButton" value="add them" action="none">
						<f:actionListener
							type="org.apache.myfaces.examples.example1.CalcActionListener" />
					</h:commandButton>
					<h:commandButton id="subtractButton" value="substract them"
						action="none">
						<f:actionListener
							type="org.apache.myfaces.examples.example1.CalcActionListener" />
					</h:commandButton>
				</h:panelGroup>
				<h:panelGroup>
					<h:commandLink id="href1" action="none">
						<h:outputText value="add them by clicking this link" />
						<f:actionListener
							type="org.apache.myfaces.examples.example1.CalcActionListener" />
					</h:commandLink>
					<f:verbatim>
					</f:verbatim>
					<h:commandLink id="href2" action="none">
						<h:outputText value="substract them by clicking this link" />
						<f:actionListener
							type="org.apache.myfaces.examples.example1.CalcActionListener" />
					</h:commandLink>
				</h:panelGroup>
			</h:panelGrid>
		</h:form>
		<h:form id="form2">
			<h:panelGrid columns="1" border="1" rules="all">
				<f:facet name="header">
					<h:outputText value="form2" />
				</f:facet>
				<h:panelGroup>
					<h:inputText id="text" value="#{ucaseForm.text}">
						<f:validateLength minimum="3" maximum="7" />
					</h:inputText>
					<h:message id="textError" for="form2:text" styleClass="error" />
					<h:commandButton id="ucaseButton" value="upcase it" action="none">
						<f:actionListener
							type="org.apache.myfaces.examples.example1.UCaseActionListener" />
					</h:commandButton>
					<h:commandButton id="lcaseButton" value="lowcase it" action="none">
						<f:actionListener
							type="org.apache.myfaces.examples.example1.UCaseActionListener" />
					</h:commandButton>
				</h:panelGroup>
			</h:panelGrid>
		</h:form>
		<h:form id="form3">
			<h:panelGrid columns="1" border="1" rules="all">
				<f:facet name="header">
					<h:outputText value="form3" />
				</f:facet>
				<h:panelGroup>
					<h:commandButton id="valDisable" value="disable validation"
						action="#{validationController.disableValidation}" />
					<h:commandButton id="valEnable" value="enable validation"
						action="#{validationController.enableValidation}" />
				</h:panelGroup>
			</h:panelGrid>
		</h:form>
		<h:form id="form4">
			<h:panelGrid columns="1" border="1" rules="all">
				<f:facet name="header">
					<h:outputText value="form4" />
				</f:facet>
				<h:commandLink id="jump_home" action="#{ucaseForm.jumpHome}">
					<h:outputText value="go home" />
				</h:commandLink>
			</h:panelGrid>
		</h:form>
	</h:panelGroup>


	<jsp:include page="inc/mbean_source.jsp" />
</f:view>
<%
 String binding="#{displaySourceLink}";
 String appPath="http://localhost:8080/myf/";
 javax.faces.context.FacesContext facesContext = javax.faces.context.FacesContext.getCurrentInstance();
 my.utils.DisplaySourceLink dsl = (my.utils.DisplaySourceLink)facesContext.getApplication().createValueBinding(binding).getValue(facesContext);
 dsl.setUrl(appPath);
 out.println("<br />"+dsl.getLink("validationController")+"<br />");
%>

<%@include file="inc/page_footer.jsp"%>

</body>
</html>